curl https://api.kwugwo.africa/v1/ugwo/ugw.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
const ugwo = await fetch(
`https://api.kwugwo.africa/v1/ugwo/${ugwoUid}`,
{ headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` } }
).then(r => r.json());
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/ugwo/{$ugwoUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
$ugwo = json_decode(curl_exec($ch), true);
curl_close($ch);
import os, requests
ugwo = requests.get(
f"https://api.kwugwo.africa/v1/ugwo/{ugwo_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
).json()
url := fmt.Sprintf("https://api.kwugwo.africa/v1/ugwo/%s", ugwoUid)
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
{
"uid": "ugw.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"amount": 500000,
"currency": "NGN",
"status": "ugwo_successful",
"ref": "order_4719",
"description": "Order #4719",
"meta": { "order_id": "4719" },
"onye": {
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com"
},
"checkout": null,
"activities": [
{
"uid": "act.VCvr.qnbBJaElzSTHOcaTzxbuDlIs",
"activity_type": "charge",
"status": "requires_action",
"psp": "paystack_ng",
"psp_external_id": "5kfxw34ugz",
"next_action": {
"type": "user_action",
"instruction": "Transfer to bank",
"headers": {
"bank_name": "Test Bank",
"expires_at": "2026-05-14T20:10:50+00:00",
"account_name": "PAYSTACK CHECKOUT",
"account_number": "1260881821"
}
},
"error": null,
"created_at": "2026-05-14T19:55:50+00:00",
"updated_at": "2026-05-14T19:55:51+00:00"
}
],
"created_at": "2026-05-15T09:14:22+00:00"
}
{
"type": "https://tools.ietf.org/html/rfc2616#section-10",
"title": "Not Found",
"status": 404,
"detail": "ugwo.error.not_found"
}
Payments (Ugwo)
Get an ugwo
Fetch a single payment request by ID.
GET
/
v1
/
ugwo
/
{ugwoUid}
curl https://api.kwugwo.africa/v1/ugwo/ugw.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
const ugwo = await fetch(
`https://api.kwugwo.africa/v1/ugwo/${ugwoUid}`,
{ headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` } }
).then(r => r.json());
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/ugwo/{$ugwoUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
$ugwo = json_decode(curl_exec($ch), true);
curl_close($ch);
import os, requests
ugwo = requests.get(
f"https://api.kwugwo.africa/v1/ugwo/{ugwo_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
).json()
url := fmt.Sprintf("https://api.kwugwo.africa/v1/ugwo/%s", ugwoUid)
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
{
"uid": "ugw.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"amount": 500000,
"currency": "NGN",
"status": "ugwo_successful",
"ref": "order_4719",
"description": "Order #4719",
"meta": { "order_id": "4719" },
"onye": {
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com"
},
"checkout": null,
"activities": [
{
"uid": "act.VCvr.qnbBJaElzSTHOcaTzxbuDlIs",
"activity_type": "charge",
"status": "requires_action",
"psp": "paystack_ng",
"psp_external_id": "5kfxw34ugz",
"next_action": {
"type": "user_action",
"instruction": "Transfer to bank",
"headers": {
"bank_name": "Test Bank",
"expires_at": "2026-05-14T20:10:50+00:00",
"account_name": "PAYSTACK CHECKOUT",
"account_number": "1260881821"
}
},
"error": null,
"created_at": "2026-05-14T19:55:50+00:00",
"updated_at": "2026-05-14T19:55:51+00:00"
}
],
"created_at": "2026-05-15T09:14:22+00:00"
}
{
"type": "https://tools.ietf.org/html/rfc2616#section-10",
"title": "Not Found",
"status": 404,
"detail": "ugwo.error.not_found"
}
Returns the ugwo identified by
ugwoUid. The response includes the
attached customer, checkout (if any), and the activities that
have been run against it.
Path parameters
The ugwo ID,
ugw.XXXX.YYYY....Response
Same shape as the create response, plus anactivities array of every activity that has run against this ugwo.
curl https://api.kwugwo.africa/v1/ugwo/ugw.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
-H "Authorization: Bearer $KWUGWO_SECRET_KEY"
const ugwo = await fetch(
`https://api.kwugwo.africa/v1/ugwo/${ugwoUid}`,
{ headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` } }
).then(r => r.json());
<?php
$ch = curl_init("https://api.kwugwo.africa/v1/ugwo/{$ugwoUid}");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
]);
$ugwo = json_decode(curl_exec($ch), true);
curl_close($ch);
import os, requests
ugwo = requests.get(
f"https://api.kwugwo.africa/v1/ugwo/{ugwo_uid}",
headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
).json()
url := fmt.Sprintf("https://api.kwugwo.africa/v1/ugwo/%s", ugwoUid)
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
{
"uid": "ugw.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"amount": 500000,
"currency": "NGN",
"status": "ugwo_successful",
"ref": "order_4719",
"description": "Order #4719",
"meta": { "order_id": "4719" },
"onye": {
"uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
"email": "ada@example.com"
},
"checkout": null,
"activities": [
{
"uid": "act.VCvr.qnbBJaElzSTHOcaTzxbuDlIs",
"activity_type": "charge",
"status": "requires_action",
"psp": "paystack_ng",
"psp_external_id": "5kfxw34ugz",
"next_action": {
"type": "user_action",
"instruction": "Transfer to bank",
"headers": {
"bank_name": "Test Bank",
"expires_at": "2026-05-14T20:10:50+00:00",
"account_name": "PAYSTACK CHECKOUT",
"account_number": "1260881821"
}
},
"error": null,
"created_at": "2026-05-14T19:55:50+00:00",
"updated_at": "2026-05-14T19:55:51+00:00"
}
],
"created_at": "2026-05-15T09:14:22+00:00"
}
{
"type": "https://tools.ietf.org/html/rfc2616#section-10",
"title": "Not Found",
"status": 404,
"detail": "ugwo.error.not_found"
}
⌘I

